package com.MapLimits.TJ09;

import java.util.Date;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.entity.Player;
import org.bukkit.event.player.PlayerListener;
import org.bukkit.event.player.PlayerMoveEvent;

/**
 * Handle events for all Entity related events
 * @author TJ09
 */
public class MapLimitsPlayerListener extends PlayerListener {
    private final MapLimits plugin;

    public MapLimitsPlayerListener(MapLimits instance) {
        plugin = instance;
    }
	
	public void onPlayerMove(PlayerMoveEvent event) {
		Boolean modified = false;
		Location to = event.getTo();
		
		//Doesn't work for some reason.
		/*if(to.getX() < plugin.xmin || to.getX() > plugin.xmax ||
		   to.getZ() < plugin.zmin || to.getZ() > plugin.zmax) {
			event.setCancelled(true);
		}*/
		
		World w = event.getPlayer().getWorld();
		if(plugin.xmin.get(w) == null) plugin.loadConfiguration(w);
		
		if(to.getX() < plugin.xmin.get(w)) {
			modified = true;
			to.setX(plugin.xmin.get(w));
		}
		if(to.getX() > plugin.xmax.get(w)) {
			modified = true;
			to.setX(plugin.xmax.get(w));
		}
		
		if(to.getZ() < plugin.zmin.get(w)) {
			modified = true;
			to.setZ(plugin.zmin.get(w));
		}
		if(to.getZ() > plugin.zmax.get(w)) {
			modified = true;
			to.setZ(plugin.zmax.get(w));
		}
		
		if(modified) {
			event.setFrom(to);
			event.setTo(to);
			event.getPlayer().teleportTo(to);
		}
	}
}

